Import from Etherscan
curl --request POST \
--url https://sourcify.dev/server/v2/verify/etherscan/{chainId}/{address} \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>"
}
'import requests
url = "https://sourcify.dev/server/v2/verify/etherscan/{chainId}/{address}"
payload = { "apiKey": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '<string>'})
};
fetch('https://sourcify.dev/server/v2/verify/etherscan/{chainId}/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"customCode": "unsupported_chain",
"message": "The chain with chainId 9429413 is not supported",
"errorId": "1ac6b91a-0605-4459-93dc-18f210a70192"
}{
"customCode": "etherscan_limit",
"message": "Etherscan API key limit reached",
"errorId": "1ac6b91a-0605-4459-93dc-18f210a70192"
}{
"customCode": "internal_error",
"message": "Something went wrong",
"errorId": "1ac6b91a-0605-4459-93dc-18f210a70192"
}Contract Verification API
Import from Etherscan
Import a contract verified on an Etherscan instance or a service with Etherscan-alike API
POST
/
v2
/
verify
/
etherscan
/
{chainId}
/
{address}
Import from Etherscan
Path Parameters
The chainId number of the EVM chain
Required string length:
1 - 20Pattern:
^\d+$Example:
"11155111"
Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.
Required string length:
42Pattern:
(\b0x[a-fA-F0-9]{40}\b)Example:
"0x2738d13E81e30bC615766A0410e7cF199FD59A83"
Body
application/json
API key to use when importing from the Etherscan instance or Etherscan-alike API.
Response
Successfully submitted the verification. The server started to process the verification.
You can follow the verification status via the returned verificationId at GET /v2/verify/{verificationId}
Was this page helpful?
⌘I